# For customisation by distributions.
%def_with sisyphus
%def_without junior
%def_without master
%def_without Compact

Name: gnome-settings
Version: 2.6.0
Release: alt1

Summary: Default settings for the Gnome
License: GPL
Group: Graphical desktop/GNOME

BuildArch: noarch

Requires: design-graphics
Requires: dmtr40in-fonts

%define GConf_ver 2.4.0
%define icons_theme_ver 1.2.0
%define background %_datadir/artworks/backgrounds/default.png

PreReq: GConf2 >= %GConf_ver
BuildPreReq: GConf2 >= %GConf_ver

%if_with sisyphus
%define icon_theme BlueSphere
Requires: icons-%icon_theme >= 0.3.0-alt5
%endif

%if_with master
%define icon_theme Gnome
Requires: gnome-icon-theme >= %icons_theme_ver
%endif

%if_with junior
%define icon_theme Gnome
Requires: gnome-icon-theme >= %icons_theme_ver
%endif

%if_with Compact
%define icon_theme BlueSphere
Requires: icons-%icon_theme >= 0.3.0-alt5
%endif

%description
This package contains default settings for Gnome design.

%post
if [ -f /etc/gconf/schemas/desktop_gnome_background.schemas ]; then
%gconf2_set string /desktop/gnome/background/picture_options stretched
%gconf2_set string /desktop/gnome/background/picture_filename %background
%gconf2_set string /desktop/gnome/background/primary_color \#21449c
%gconf2_set string /desktop/gnome/background/color_shading_type solid
fi
if [ -f /etc/gconf/schemas/desktop_gnome_interface.schemas ]; then
%gconf2_set string /desktop/gnome/interface/icon_theme %icon_theme
%gconf2_set string /desktop/gnome/interface/font_name XLinSans 11
%gconf2_set string /desktop/gnome/interface/monospace_font_name VGA9 11
fi
if [ -f /etc/gconf/schemas/desktop_gnome_file_views.schemas ]; then
%gconf2_set string /desktop/gnome/file-views/icon_theme %icon_theme
fi

%triggerin -- libgnome
%gconf2_set string /desktop/gnome/background/picture_options stretched
%gconf2_set string /desktop/gnome/background/picture_filename %background
%gconf2_set string /desktop/gnome/background/primary_color \#21449c
%gconf2_set string /desktop/gnome/background/color_shading_type solid
%gconf2_set string /desktop/gnome/interface/icon_theme %icon_theme
%gconf2_set string /desktop/gnome/file-views/icon_theme %icon_theme
%gconf2_set string /desktop/gnome/interface/font_name XLinSans 11
%gconf2_set string /desktop/gnome/interface/monospace_font_name VGA9 11

%files

%changelog
* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Mon Sep 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- fix path to backgrounds.

* Fri Sep 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- requires design-graphics (close #2988).

* Wed Aug 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- Adopted for new design-graphics-* packages.

* Wed Feb 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt5
- added customization by distributions.
- requires GConf2, not gconftool2.

* Sun Jan 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt4
- Change default icon theme to BlueSphere.

* Mon Dec 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt3
- Default interface and file-views icon themes (second for feature use).
- Removed dependence on libgnome.

* Fri Oct 11 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt2
- move to new gconf setting scheme

* Tue Oct 08 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt1
- Initial release
